Endpoints
Routes
Get available routes for a swap, cross-chain swap or bridge
Get available routes for a swap, cross-chain swap or bridge. Returns quotes from multiple bridging providers.
POST
https://api.superbridge.app/v1/routesBody
application/jsonfromChainUid
stringChain UUID (internal identifier)
toChainUid
stringChain UUID (internal identifier)
fromChainId
stringNative chain ID (e.g. 1 for Ethereum)
toChainId
stringNative chain ID (e.g. 1 for Ethereum)
fromChainKey
stringShorthand chain identifier (e.g. eth for Ethereum)
toChainKey
stringShorthand chain identifier (e.g. eth for Ethereum)
fromTokenAddress
stringrequired0x0000000000000000000000000000000000000000 for native tokens
toTokenAddress
stringrequired0x0000000000000000000000000000000000000000 for native tokens
sender
stringrequiredrecipient
stringrequiredamount
stringrequiredAmount in wei (or smallest denomination)
providers
string[]slippage
numberrequiredYou must specify chains using either the Key or Id variants (e.g. fromChainKey or fromChainId).
Response
Returns an object containing an array of route results, one per provider.
request
RouteRequestresults
RouteResult[]